# Grid
grid.props =
	image: "images/gridlines.png"
	style:
		backgroundPosition: "0px 0px"
		backgroundRepeat: "repeat"
		backgroundSize: "auto"

# Layer with shadow
layer = new Layer
	image: "images/css3_logo.png"
	width: 150
	height: 170
	shadowType: "outer"
	shadowColor: "rgba(0,0,0,0.5)"
	shadowX: 10
	shadowY: 10
	shadowBlur: 8
	shadowSpread: 0
	
	parent: grid
	point: Align.center


# CSS classes for use in <span>
Utils.insertCSS "
	.blue { color: #22BBFF; }
	.lightblue { color: #81DDF4; }
	.purple { color: #A88FFF; }
	.green { color: #A5F575; }
"

# Text styling for «codeExample»
codeExample.style =
	fontFamily: "Menlo,Monaco,Courier,monospace"
	fontWeight: 500
	fontSize: "12px"
	lineHeight: "40px"
	paddingTop: "30px"
	paddingLeft: "30px"

# Setting the .html
# (with <span> for inline styling)
codeExample.html = """layer = <span class="blue">new Layer</span><br>
&nbsp;&nbsp;&nbsp;&nbsp;image: <span class="green">"images/css3_logo.png"</span><br>
&nbsp;&nbsp;&nbsp;&nbsp;width: <span class="purple">150</span><br>
&nbsp;&nbsp;&nbsp;&nbsp;height: <span class="purple">170</span><br>
&nbsp;&nbsp;&nbsp;&nbsp;shadowType: <span class="green">"outer"</span><br>
&nbsp;&nbsp;&nbsp;&nbsp;shadowColor: <span class="green">"rgba(0,0,0,0.5)"</span><br>
&nbsp;&nbsp;&nbsp;&nbsp;shadowX: <span class="purple">10</span><br>
&nbsp;&nbsp;&nbsp;&nbsp;shadowY: <span class="purple">10</span><br>
&nbsp;&nbsp;&nbsp;&nbsp;shadowBlur: <span class="purple">8</span><br>
&nbsp;&nbsp;&nbsp;&nbsp;shadowSpread: <span class="purple">0</span><br>"""
